{% extends 'blog/base_blog.html' %}

{% block title %}
    Edit Post "{{ post.title }}" - {{ block.super }}
{% endblock %}

{% block content %}

    <form action="{{ post.get_update_url }}" method="post">
        {% csrf_token %}
            {{form.as_p}}
        {% for field in form %}
            <div class="form-group">
                {% if field.errors %}
                    <div class="alert alert-danger">
                        {{ field.errors }}
                    </div>
                {%endif%}
            </div>
        {% endfor %}


        <button type="submit" class="btn btn-primary">Update post</button>
    </form>


{% endblock %}